QRencode QR Code encoder

Data Fields
QRcode Struct Reference

QRcode class. More...

`#include <qrencode.h>`

## Data Fields
int | version
| version of the symbol More...
int | width
| width of the symbol More...
unsigned char * | data
| symbol data More...

## Detailed Description

QRcode class.

Symbol data is represented as an array contains width*width uchars. Each uchar represents a module (dot). If the less significant bit of the uchar is 1, the corresponding module is black. The other bits are meaningless for usual applications, but here its specification is described.

    MSB 76543210 LSB
        |||||||`- 1=black/0=white
        ||||||`-- data and ecc code area
        |||||`--- format information
        ||||`---- version information
        |||`----- timing pattern
        ||`------ alignment pattern
        |`------- finder pattern and separator
        `-------- non-data modules (format, timing, etc.)

## Field Documentation

## ◆ version

int QRcode::version

version of the symbol

## ◆ width

int QRcode::width

width of the symbol

## ◆ data

unsigned char* QRcode::data

symbol data

The documentation for this struct was generated from the following file:

- qrencode.h